Subject: Ticket Assigned - Online Order #9650052762 Refund | Mohamed Donia
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 21:24:51 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Online Order #9650052762 Refund | Mohamed Donia Hi Support Team,
 
Ireally suffered over the last days with your poor services and awful support, I've escalated my issue on all levels and through all your communication channels with no help.
I'm not really expecting much from your end, as you are part of the same awful poor support cycle but no other options I've 

I'veplaced Order #9650052762, one of the item return was requested as you can seebelow, an item was collected 4 days ago without a single update or prove ofcollection.

Calledto call center 800-BABYSHOP (800-22297467) to follow several times, finallyitem updated as received on 19 April, only at your end, however, it stillshowing "Return in Progress" under my profile.

Calledthe call center again 2 days back asking about the refund process, but theydon’t have any idea when it will be processed and they placed a complaint.

Later,I called today again for the same reason, still no updates and no statuschange and they are not sure when the refund will be processed.

Ineed a clear update with a specific time frame, when I will receive a returnSMS confirmation, however, the item was returned already 4 days back.

Otherwise,if your company is willing to keep the money and push the customers to give upand leave it.
 
Regards,Mohamed Donia0563094208 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2433304